API Documentation

Create subtask

Description

Create a subtask. By default it will be added as the last subtask of its task, but you can optionally use an insertIndex query parameter to specify where in the subtask list it should be added.

Request format

curl -X POST https://kanbanflow.com/api/v1/tasks/<TASK_ID>/subtasks -H "Content-type: application/json" -d '{ "<PROPERTY_1>": <PROPERTY_VALUE_1>, "<PROPERTY_2>": <PROPERTY_VALUE_2>, ... "<PROPERTY_N>": <PROPERTY_VALUE_N> }'

Example request

curl -X POST https://kanbanflow.com/api/v1/tasks/T3s6UGyzY/subtasks -H "Content-type: application/json"
 -d '{ "name": "Proofread" }'

Example response

{
    "insertIndex": 0
}

Valid properties

PropertyTypeComment
nameStringRequired. The name of the subtask.
finishedBooleanOptional (default=false). Use true to indicate if the subtask should be checked.
userIdStringOptional. Used for assigning a user to the subtask.
dueDateTimestampStringOptional. The UTC timestamp when the subtask is due.
dueDateTimestampLocalStringOptional. Defaults to dueTimestamp if not given. The user's local timestamp when the subtask is due. Used for email reminders.